Create Org
Create a new organization. If the API version is 40 or above, the operation is asynchronous and a task is returned in the location header. Otherwise, the operation is synchronous.
Create a new organization. If the API version is 40 or above, the operation is asynchronous and a task is returned in the location header. Otherwise, the operation is synchronous.
Request
URI
POST
https://{api_host}/cloudapi/1.0.0/orgs
COPY
Request Body
Org
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"displayName": "string"
}
{
"id": "string",
"name": "string",
"displayName": "string",
"description": "string",
"isEnabled": false,
"managedBy": {
"name": "string",
"id": "string"
},
"canManageOrgs": false,
"maskedEventTaskUsername": "string",
"directlyManagedOrgCount": 0,
"isClassicTenant": false,
"isProviderConsumptionOrg": false,
"creationStatus": "string"
}
Responses
201
Created
Returns
Org
of type(s)
application/json;version=9.1.0
{
"id": "string",
"name": "string",
"displayName": "string",
"description": "string",
"isEnabled": false,
"managedBy": {
"name": "string",
"id": "string"
},
"canManageOrgs": false,
"maskedEventTaskUsername": "string",
"directlyManagedOrgCount": 0,
"isClassicTenant": false,
"isProviderConsumptionOrg": false,
"creationStatus": "string"
}
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"displayName":"string","name":"string"}' https://{api_host}/cloudapi/1.0.0/orgs
Availability
Added in 36.0
On This Page
Org Operations
GET
Query Orgs
POST
Create Org
GET
Get Org
PUT
Update Org
DELETE
Delete Org
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry